Skip to content
Colleqtive Developer
Search
Ctrl
K
Cancel
Auto
Light
Dark
Get started
API Reference
Get started
HTTP
HTTP
HTTP
C#
C#
Python
Python
TypeScript
TypeScript
API Reference
Overview
Categories
List Categories
Create Categories
Stores
List Stores
Create Stores
Locations
List Locations
List Location Products
List Locations Products
Reason Codes
List Reason Codes
Create Reason Codes
Store Product Logs
List Store Product Logs
Create Store Product Logs
Store Products
List Store Products Stock
Retrieve Store Product Stock
Retrieve Store Product Surrounding
Update Store Products
Create Store Products
Counting Lines
Create External Counting Lines
Products
Create Products
List Products
Delete Products
Update Product Attributes
Create Prices
Create Discount Prices
Create Product Free Fields
Movement
Create Movement
Deliveries
List Deliveries
Create Store Deliveries
Create Multi Store Deliveries
Receipts
List Receipts
List Store Receipts
Product Lists
Create Product List
List Product Lists
Delete Product List
Update Product List Lines
Product List Types
List Product List Types
Create Product List Type
Delete Product List Type
Suppliers
List Suppliers
Movement Assignments
Reopen Movement Assignment
Replenishment Advice Lines History
Delete Replenishment Advice Lines History
API Reference
Copy Markdown
Open in
Claude
Open in
ChatGPT
Open in
Cursor
Copy Markdown
View as Markdown
Receipts
Retrieves a paginated list of receipt orders with receipt lines.
GET
/api/v2/public/orders/receipts
Retrieves a paginated list of receipt orders for a specific store.
GET
/api/v2/public/stores/{store_number}/orders/receipts
Models
Expand
Collapse
ReceiptListReceiptsResponse
object
{
datetime_created
,
datetime_expected
,
import_id
,
9 more
}
A receipt order with its receipt lines.
datetime_created
:
string
format
date-time
datetime_expected
:
string
format
date-time
import_id
:
number
format
int64
order_type_id
:
number
format
int32
updated_on
:
string
format
date-time
order_number
:
optional
string
receipt_lines
:
optional
array of
object
{
id
,
purchase_price
,
received_quantity
,
10 more
}
id
:
number
format
int64
purchase_price
:
number
format
double
received_quantity
:
number
format
double
shipped_quantity
:
number
format
double
store_products_price
:
number
format
double
updated_on
:
string
format
date-time
barcode
:
optional
string
category_code
:
optional
string
container_barcode
:
optional
string
description
:
optional
string
group_code
:
optional
string
line_number
:
optional
number
format
int32
product_number
:
optional
string
status
:
optional
string
store_gln
:
optional
string
store_number
:
optional
string
supplier_code
:
optional
string
supplier_name
:
optional
string
ReceiptListStoreReceiptsResponse
object
{
datetime_created
,
datetime_expected
,
import_id
,
9 more
}
A receipt order with its receipt lines.
datetime_created
:
string
format
date-time
datetime_expected
:
string
format
date-time
import_id
:
number
format
int64
order_type_id
:
number
format
int32
updated_on
:
string
format
date-time
order_number
:
optional
string
receipt_lines
:
optional
array of
object
{
id
,
purchase_price
,
received_quantity
,
10 more
}
id
:
number
format
int64
purchase_price
:
number
format
double
received_quantity
:
number
format
double
shipped_quantity
:
number
format
double
store_products_price
:
number
format
double
updated_on
:
string
format
date-time
barcode
:
optional
string
category_code
:
optional
string
container_barcode
:
optional
string
description
:
optional
string
group_code
:
optional
string
line_number
:
optional
number
format
int32
product_number
:
optional
string
status
:
optional
string
store_gln
:
optional
string
store_number
:
optional
string
supplier_code
:
optional
string
supplier_name
:
optional
string
On this page
Overview
Receipts